Subject: Fw: Permission denied (publickey,password,keyboard-interactive).
From: Dave M <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 23 Sep 2009 08:01:06 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Dave,

  I checked that readme file. Um, I am not sure what it is telling me, it is not really laid out step by step. I think it would be more useful if I read it from the bottom to the top. But still, I THINK I did everything it suggested. I had run ssh-host-config before, today I ran ssh-user-config and made SYSTEM the owner of /var/empty and checked the permissions on the sshd_server account (the host-config script had set them correctly, I didn't have to do anything to the account privileges).
After that, I did this:
$ ssh localhost -l test
ssh_exchange_identification: Connection closed by remote host
  So, at least that is different. the sshd.log file in /var/log is still empty, so I don't know how to interpret this result.

  Also, every time I log in to the bash shell, I get this:
Your group is currently "mkgroup".  This indicates that
the /etc/group (and possibly /etc/passwd) files should be rebuilt.
See the man pages for mkpasswd and mkgroup then, for example, run
mkpasswd -l [-d] > /etc/passwd
mkgroup  -l [-d] > /etc/group
Note that the -d switch is necessary for domain users.
  I have run:
mkpasswd -l  > /etc/passwd
mkgroup  -l > /etc/group
  Both successfully (in that order) and the contents of those files "look" right, but I still keep getting that message. I don't know if this is related or not.

  I hope this helps troubleshoot this issue, I am really lost and just trying to help get this resolved.
Dave M

----- Original Message ----
From: Dave Korn <[email-masked]>
To: [email-masked]
Sent: Tuesday, September 22, 2009 5:53:40 PM
Subject: Re: Permission denied (publickey,password,keyboard-interactive).

Dave M wrote:
> Hi!
> 
>   I am following this:
> http://pigtail.net/LRP/printsrv/cygwin-sshd.html

  All but the part about not asking questions here if their non-standard
instructions don't work for you!  Heh, moving swiftly along there ...

>   And I am to the part where I am testing ssh with the following command:
> $ ssh localhost -l test@localhost
> Test is a local account and a member of the local admin group.

  I think the one localhost is enough and the -l option should have the name
only shouldn't it?  So try either

    ssh localhost -l test

or

    ssh test@localhost

but don't try adding a host part to the -l argument.  I think that'll do it.

    cheers,
      DaveK

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple